Subject: [bug#67670] [PATCH] Revise tests for file mtime resolution again.

From: Karl Berry <[email-masked]>
Date: Sun, 10 Dec 2023 10:51:39 -0700

In order for the Automake testsuite to be able to use sub-second
    delays [...]

I installed the patch (plus a tweak to NEWS). (make check and distcheck
ran fine for me, including using the subsecond feature.)

I included all the commentary from your message, Zack, since I thought
it would likely be helpful to anyone looking at this in the future.

    There might be a better place to put this, somewhere
    it'll execute every time the *overall testsuite* is invoked
    rather than once for each test, but I couldn't find one.

Maybe am__check_pre in lib/am/check.am, where other such things are
done, like handling sh -e, vpath, etc. But I will leave this for another
time.

Thanks Zack. Fingers crossed that this resolves this thorny issue once
and for all ... -k